<?php
/**
 * Block Patterns
 *
 * @package marriage_counseling
 * @since 1.0
 */

function marriage_counseling_register_block_patterns() {
	$marriage_counseling_block_pattern_categories = array(
		'marriage-counseling' => array( 'label' => esc_html__( 'Marriage Counseling', 'marriage-counseling' ) ),
		'pages' => array( 'label' => esc_html__( 'Pages', 'marriage-counseling' ) ),
	);

	$marriage_counseling_block_pattern_categories = apply_filters( 'marriage_counseling_marriage_counseling_block_pattern_categories', $marriage_counseling_block_pattern_categories );

	foreach ( $marriage_counseling_block_pattern_categories as $name => $properties ) {
		if ( ! WP_Block_Pattern_Categories_Registry::get_instance()->is_registered( $name ) ) {
			register_block_pattern_category( $name, $properties );
		}
	}
}
add_action( 'init', 'marriage_counseling_register_block_patterns', 9 );